diff -up geary-0.12.0/src/client/application/geary-application.vala.orig geary-0.12.0/src/client/application/geary-application.vala
--- geary-0.12.0/src/client/application/geary-application.vala.orig	2017-10-02 11:53:11.000000000 +0200
+++ geary-0.12.0/src/client/application/geary-application.vala	2017-10-04 09:06:00.563953050 +0200
@@ -7,6 +7,7 @@
 // Defined by CMake build script.
 extern const string _INSTALL_PREFIX;
 extern const string _GSETTINGS_DIR;
+extern const string _LIB_SUFFIX;
 extern const string _SOURCE_ROOT_DIR;
 extern const string _BUILD_ROOT_DIR;
 extern const string GETTEXT_PACKAGE;
@@ -28,6 +29,7 @@ public class GearyApplication : Gtk.Appl
     public const string VERSION = Geary.Version.GEARY_VERSION;
     public const string INSTALL_PREFIX = _INSTALL_PREFIX;
     public const string GSETTINGS_DIR = _GSETTINGS_DIR;
+    public const string LIB_SUFFIX = _LIB_SUFFIX;
     public const string SOURCE_ROOT_DIR = _SOURCE_ROOT_DIR;
     public const string BUILD_ROOT_DIR = _BUILD_ROOT_DIR;
 
@@ -302,12 +304,12 @@ public class GearyApplication : Gtk.Appl
      * Returns the directory containing the application's WebExtension libs.
      *
      * If the application is installed, this will be
-     * `$INSTALL_PREFIX/lib/geary/web-extension`, else it will be
+     * `$INSTALL_PREFIX/lib$LIB_SUFFIX/geary/web-extension`, else it will be
      */
     public File get_web_extensions_dir() {
         File? dir = get_install_dir();
         if (dir != null)
-            dir = dir.get_child("lib").get_child("geary").get_child("web-extensions");
+            dir = dir.get_child("lib" + LIB_SUFFIX).get_child("geary").get_child("web-extensions");
         else
             dir = File.new_for_path(BUILD_ROOT_DIR).get_child("src");
         return dir;
diff -up geary-0.12.0/src/CMakeLists.txt.orig geary-0.12.0/src/CMakeLists.txt
--- geary-0.12.0/src/CMakeLists.txt.orig	2017-10-02 11:53:11.000000000 +0200
+++ geary-0.12.0/src/CMakeLists.txt	2017-10-04 09:06:00.565953028 +0200
@@ -567,6 +567,7 @@ set(CFLAGS
     ${DEPS_CFLAGS}
     ${DEPS_CFLAGS_OTHER}
     -D_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
+    -D_LIB_SUFFIX=\"${LIB_SUFFIX}\"
     -D_BUILD_ROOT_DIR=\"${CMAKE_BINARY_DIR}\"
     -D_SOURCE_ROOT_DIR=\"${CMAKE_SOURCE_DIR}\"
     -D_GSETTINGS_DIR=\"${CMAKE_BINARY_DIR}/gsettings\"
@@ -745,7 +746,7 @@ OPTIONS
 
 add_library(geary-web-process MODULE ${WEB_PROCESS_VALA_C})
 target_link_libraries(geary-web-process PRIVATE ${DEPS_LIBRARIES} geary-engine)
-install(TARGETS geary-web-process LIBRARY DESTINATION lib/geary/web-extensions)
+install(TARGETS geary-web-process LIBRARY DESTINATION lib${LIB_SUFFIX}/geary/web-extensions)
 
 # Console app
 #################################################
